#!/bin/sh
prefix=/usr
sbindir=${prefix}/sbin
bindir=${prefix}/bin
libdir=${prefix}/lib
incdir=${prefix}/include
LIBNAME=libpng10

${sbindir}/update-alternatives \
	--install ${incdir}/libpng                libpng        ${incdir}/${LIBNAME} 10           \
	--slave   ${bindir}/libpng-config         libpng-config ${bindir}/${LIBNAME}-config       \
	--slave   ${libdir}/libpng.a              libpng.a      ${libdir}/${LIBNAME}.a            \
	--slave   ${libdir}/libpng.dll.a          libpng.dll.a  ${libdir}/${LIBNAME}.dll.a        \
	--slave   ${libdir}/pkgconfig/libpng.pc   libpng.pc     ${libdir}/pkgconfig/${LIBNAME}.pc \
	--slave   ${incdir}/png.h                 png.h         ${incdir}/${LIBNAME}/png.h        \
	--slave   ${incdir}/pngconf.h             pngconf.h     ${incdir}/${LIBNAME}/pngconf.h

